Mac OS Version support

Bob Arnold rfarnold at bu.edu
Wed Sep 4 17:33:01 CDT 2002


Answering my own question, apparently, one must make the MacOS stand-alone
build using the "classic" version of RR, not the OSX version, otherwise, the
carbon lib will be necessary to run the stand alone MacOS application. This
is very unfortunate and extremely counter-intuitive and counter-productive.
The Distribution Builder appears to be cross-platform, and thus if building
a MacOS stand-alone (and NOT an OSX stand alone) when using the OSX
compatible version of RR (which runs carbon under OS9) the stand-alone
SHOULD NOT require the carbon-lib. As it says in the RR documentation, a
MacOS standalone should run under any MacOS down to 7.1 but it doesn't say,
that it must be built using the classic RR app.

I hope few of my customers are using older than system 9.

If you're listening RR, this is a serious complaint.

Bob
-- 
Robert Arnold
Associate Professor of Film
Boston University
Tel (617) 353-7735  Fax (617) 353-1084
News: http://people.bu.edu/rfarnold/Announce.htm




More information about the use-livecode mailing list